import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Firecand } from "../../domain/entities";
import { FirecandMongoModel, FirecandRawModel } from "../dtos/firecand.dto";
export declare class FirecandMongoMapper extends MongoMapper<Firecand, FirecandMongoModel> {
    constructor();
    toEntity(mongoModel: FirecandMongoModel): Firecand;
}
export declare class FirecandRawMapper extends MapperImpl<Firecand, FirecandRawModel> {
    fromEntity(entity: Firecand): FirecandRawModel;
    toEntity(rawModel: FirecandRawModel): Firecand;
}
