import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Flagcandprof } from "../../domain/entities";
import { FlagcandprofMongoModel, FlagcandprofRawModel } from "../dtos/flagcandprof.dto";
export declare class FlagcandprofMongoMapper extends MongoMapper<Flagcandprof, FlagcandprofMongoModel> {
    constructor();
    toEntity(mongoModel: FlagcandprofMongoModel): Flagcandprof;
}
export declare class FlagcandprofRawMapper extends MapperImpl<Flagcandprof, FlagcandprofRawModel> {
    fromEntity(entity: Flagcandprof): FlagcandprofRawModel;
    toEntity(rawModel: FlagcandprofRawModel): Flagcandprof;
}
