import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Nominate } from "../../domain/entities";
import { NominateMongoModel, NominateRawModel } from "../dtos/nominate.dto";
export declare class NominateMongoMapper extends MongoMapper<Nominate, NominateMongoModel> {
    constructor();
    toEntity(mongoModel: NominateMongoModel): Nominate;
}
export declare class NominateRawMapper extends MapperImpl<Nominate, NominateRawModel> {
    fromEntity(entity: Nominate): NominateRawModel;
    toEntity(rawModel: NominateRawModel): Nominate;
}
