import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Setbudget } from "../../domain/entities";
import { SetbudgetMongoModel, SetbudgetRawModel } from "../dtos/setbudget.dto";
export declare class SetbudgetMongoMapper extends MongoMapper<Setbudget, SetbudgetMongoModel> {
    constructor();
    toEntity(mongoModel: SetbudgetMongoModel): Setbudget;
}
export declare class SetbudgetRawMapper extends MapperImpl<Setbudget, SetbudgetRawModel> {
    fromEntity(entity: Setbudget): SetbudgetRawModel;
    toEntity(rawModel: SetbudgetRawModel): Setbudget;
}
