import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Weightobsv, AccountWeightDelta } from "../../domain/entities";
import { WeightobsvMongoModel, WeightobsvRawModel, AccountWeightDeltaMongoModel, AccountWeightDeltaRawModel } from "../dtos/weightobsv.dto";
export declare class WeightobsvMongoMapper extends MongoMapper<Weightobsv, WeightobsvMongoModel> {
    constructor();
    toEntity(mongoModel: WeightobsvMongoModel): Weightobsv;
}
export declare class AccountWeightDeltaMongoMapper extends MongoMapper<AccountWeightDelta, AccountWeightDeltaMongoModel> {
    constructor();
    toEntity(mongoModel: AccountWeightDeltaMongoModel): AccountWeightDelta;
}
export declare class WeightobsvRawMapper extends MapperImpl<Weightobsv, WeightobsvRawModel> {
    fromEntity(entity: Weightobsv): WeightobsvRawModel;
    toEntity(rawModel: WeightobsvRawModel): Weightobsv;
}
export declare class AccountWeightDeltaRawMapper extends MapperImpl<AccountWeightDelta, AccountWeightDeltaRawModel> {
    fromEntity(entity: AccountWeightDelta): AccountWeightDeltaRawModel;
    toEntity(rawModel: AccountWeightDeltaRawModel): AccountWeightDelta;
}
