"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Regproxy = void 0;
class Regproxy {
    proxy;
    dacId;
    id;
    constructor(proxy, dacId, id) {
        this.proxy = proxy;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            proxy: this.proxy,
            dacId: this.dacId,
        };
    }
    static create(proxy, dacId, id, rest) {
        const entity = new Regproxy(proxy, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Regproxy('', '');
    }
}
exports.Regproxy = Regproxy;
