"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Voteproxy = void 0;
class Voteproxy {
    voter;
    proxy;
    dacId;
    id;
    constructor(voter, proxy, dacId, id) {
        this.voter = voter;
        this.proxy = proxy;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            voter: this.voter,
            proxy: this.proxy,
            dacId: this.dacId,
        };
    }
    static create(voter, proxy, dacId, id, rest) {
        const entity = new Voteproxy(voter, proxy, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Voteproxy('', '', '');
    }
}
exports.Voteproxy = Voteproxy;
