import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
import { AssetMongoModel, AssetRawModel } from '@alien-worlds/aw-antelope';
export type Custodians1MongoModel = {
    _id?: MongoDB.ObjectId;
    cust_name?: string;
    requestedpay?: AssetMongoModel;
    total_vote_power?: number;
    rank?: number;
    number_voters?: number;
    avg_vote_time_stamp?: Date;
    [key: string]: unknown;
};
export type Custodians1RawModel = {
    cust_name?: string;
    requestedpay?: AssetRawModel;
    total_vote_power?: number;
    rank?: number;
    number_voters?: number;
    avg_vote_time_stamp?: Date;
    [key: string]: unknown;
};
