import { ContractDelta, MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { DataEntityType } from '../../domain/entities/dao-worlds-delta';
import { DaoWorldsDeltaMongoModel, DaoWorldsDeltaRawModel } from '../dtos';
export declare class DaoWorldsDeltaMongoMapper extends MongoMapper<ContractDelta<DataEntityType>, DaoWorldsDeltaMongoModel> {
    fromEntity(entity: ContractDelta<DataEntityType>): DaoWorldsDeltaMongoModel;
    toEntity(mongoModel: DaoWorldsDeltaMongoModel): ContractDelta<DataEntityType>;
}
export declare class DaoWorldsDeltaProcessorTaskMapper extends MapperImpl<ContractDelta<DataEntityType, DaoWorldsDeltaRawModel>, DaoWorldsDeltaRawModel> {
    fromEntity(entity: ContractDelta<DataEntityType, DaoWorldsDeltaRawModel>): DaoWorldsDeltaRawModel;
    toEntity(rawModel: DaoWorldsDeltaRawModel): ContractDelta<DataEntityType, DaoWorldsDeltaRawModel>;
}
