"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Candidates = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class Candidates {
    candidateName;
    requestedpay;
    rank;
    gapFiller;
    totalVotePower;
    isActive;
    numberVoters;
    avgVoteTimeStamp;
    runningWeightTime;
    id;
    constructor(candidateName, requestedpay, rank, gapFiller, totalVotePower, isActive, numberVoters, avgVoteTimeStamp, runningWeightTime, id) {
        this.candidateName = candidateName;
        this.requestedpay = requestedpay;
        this.rank = rank;
        this.gapFiller = gapFiller;
        this.totalVotePower = totalVotePower;
        this.isActive = isActive;
        this.numberVoters = numberVoters;
        this.avgVoteTimeStamp = avgVoteTimeStamp;
        this.runningWeightTime = runningWeightTime;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            candidateName: this.candidateName,
            requestedpay: this.requestedpay,
            rank: this.rank,
            gapFiller: this.gapFiller,
            totalVotePower: this.totalVotePower,
            isActive: this.isActive,
            numberVoters: this.numberVoters,
            avgVoteTimeStamp: this.avgVoteTimeStamp,
            runningWeightTime: this.runningWeightTime,
        };
    }
    static create(candidateName, requestedpay, rank, gapFiller, totalVotePower, isActive, numberVoters, avgVoteTimeStamp, runningWeightTime, id, rest) {
        const entity = new Candidates(candidateName, requestedpay, rank, gapFiller, totalVotePower, isActive, numberVoters, avgVoteTimeStamp, runningWeightTime, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Candidates('', aw_antelope_1.Asset.getDefault(), 0, 0, 0, 0, 0, new Date(0), 0);
    }
}
exports.Candidates = Candidates;
