import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Claimpay } from "../../domain/entities";
import { ClaimpayMongoModel, ClaimpayRawModel } from "../dtos/claimpay.dto";
export declare class ClaimpayMongoMapper extends MongoMapper<Claimpay, ClaimpayMongoModel> {
    constructor();
    toEntity(mongoModel: ClaimpayMongoModel): Claimpay;
}
export declare class ClaimpayRawMapper extends MapperImpl<Claimpay, ClaimpayRawModel> {
    fromEntity(entity: Claimpay): ClaimpayRawModel;
    toEntity(rawModel: ClaimpayRawModel): Claimpay;
}
