import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Firecust } from "../../domain/entities";
import { FirecustMongoModel, FirecustRawModel } from "../dtos/firecust.dto";
export declare class FirecustMongoMapper extends MongoMapper<Firecust, FirecustMongoModel> {
    constructor();
    toEntity(mongoModel: FirecustMongoModel): Firecust;
}
export declare class FirecustRawMapper extends MapperImpl<Firecust, FirecustRawModel> {
    fromEntity(entity: Firecust): FirecustRawModel;
    toEntity(rawModel: FirecustRawModel): Firecust;
}
