import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Setperm } from "../../domain/entities";
import { SetpermMongoModel, SetpermRawModel } from "../dtos/setperm.dto";
export declare class SetpermMongoMapper extends MongoMapper<Setperm, SetpermMongoModel> {
    constructor();
    toEntity(mongoModel: SetpermMongoModel): Setperm;
}
export declare class SetpermRawMapper extends MapperImpl<Setperm, SetpermRawModel> {
    fromEntity(entity: Setperm): SetpermRawModel;
    toEntity(rawModel: SetpermRawModel): Setperm;
}
