"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Firecand = void 0;
class Firecand {
    cand;
    lockupStake;
    dacId;
    id;
    constructor(cand, lockupStake, dacId, id) {
        this.cand = cand;
        this.lockupStake = lockupStake;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            cand: this.cand,
            lockupStake: this.lockupStake,
            dacId: this.dacId,
        };
    }
    static create(cand, lockupStake, dacId, id, rest) {
        const entity = new Firecand(cand, lockupStake, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Firecand('', false, '');
    }
}
exports.Firecand = Firecand;
