"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Firecust = void 0;
class Firecust {
    cust;
    dacId;
    id;
    constructor(cust, dacId, id) {
        this.cust = cust;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            cust: this.cust,
            dacId: this.dacId,
        };
    }
    static create(cust, dacId, id, rest) {
        const entity = new Firecust(cust, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Firecust('', '');
    }
}
exports.Firecust = Firecust;
