"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Newperiod = void 0;
class Newperiod {
    message;
    dacId;
    id;
    constructor(message, dacId, id) {
        this.message = message;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            message: this.message,
            dacId: this.dacId,
        };
    }
    static create(message, dacId, id, rest) {
        const entity = new Newperiod(message, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Newperiod('', '');
    }
}
exports.Newperiod = Newperiod;
