import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
import { ExtendedAssetMongoModel, ExtendedAssetRawModel } from '@alien-worlds/aw-antelope';
export type PendingpayMongoModel = {
    _id?: MongoDB.ObjectId;
    key?: number;
    receiver?: string;
    quantity?: ExtendedAssetMongoModel;
    [key: string]: unknown;
};
export type PendingpayRawModel = {
    key?: number;
    receiver?: string;
    quantity?: ExtendedAssetRawModel;
    [key: string]: unknown;
};
