import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
export type VotesMongoModel = {
    _id?: MongoDB.ObjectId;
    voter?: string;
    proxy?: string;
    candidates?: string[];
    vote_time_stamp?: Date;
    vote_count?: number;
    [key: string]: unknown;
};
export type VotesRawModel = {
    voter?: string;
    proxy?: string;
    candidates?: string[];
    vote_time_stamp?: Date;
    vote_count?: number;
    [key: string]: unknown;
};
