"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pendingpay = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class Pendingpay {
    key;
    receiver;
    quantity;
    id;
    constructor(key, receiver, quantity, id) {
        this.key = key;
        this.receiver = receiver;
        this.quantity = quantity;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            key: this.key,
            receiver: this.receiver,
            quantity: this.quantity,
        };
    }
    static create(key, receiver, quantity, id, rest) {
        const entity = new Pendingpay(key, receiver, quantity, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Pendingpay(0, '', aw_antelope_1.ExtendedAsset.getDefault());
    }
}
exports.Pendingpay = Pendingpay;
